org.apache.coyote.http11.upgrade

## Class UpgradeGroupInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.coyote.http11.upgrade.UpgradeGroupInfo

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

      public class UpgradeGroupInfo
      extends BaseModelMBean

  This aggregates the data collected from each UpgradeInfo instance.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpgradeGroupInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUpgradeInfo(UpgradeInfo ui)`
    `long` | `getBytesReceived()`
    `long` | `getBytesSent()`
    `long` | `getMsgsReceived()`
    `long` | `getMsgsSent()`
    `void` | `removeUpgradeInfo(UpgradeInfo ui)`
    `void` | `resetCounters()`
    `void` | `setBytesReceived(long bytesReceived)`
    `void` | `setBytesSent(long bytesSent)`
    `void` | `setMsgsReceived(long msgsReceived)`
    `void` | `setMsgsSent(long msgsSent)`

    - ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

      `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpgradeGroupInfo

          public UpgradeGroupInfo()

  - ### Method Detail

    - #### addUpgradeInfo

          public void addUpgradeInfo(UpgradeInfo ui)

    - #### removeUpgradeInfo

          public void removeUpgradeInfo(UpgradeInfo ui)

    - #### getBytesReceived

          public long getBytesReceived()

    - #### setBytesReceived

          public void setBytesReceived(long bytesReceived)

    - #### getBytesSent

          public long getBytesSent()

    - #### setBytesSent

          public void setBytesSent(long bytesSent)

    - #### getMsgsReceived

          public long getMsgsReceived()

    - #### setMsgsReceived

          public void setMsgsReceived(long msgsReceived)

    - #### getMsgsSent

          public long getMsgsSent()

    - #### setMsgsSent

          public void setMsgsSent(long msgsSent)

    - #### resetCounters

          public void resetCounters()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.